package presenter.algorithms;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 28.05.2017.
 */
public interface Algorithm {
    /**
     * Startet die Berechnung des jeweiligen Algorithmus.
     */
    void run();

    /**
     * Standardisierung der Lösung in Form (m,b), sodass die Geraden Visualisiert werden können.
     */
    void pepareResult();
}
