package presenter.util.Comparators;

import model.Line;

import java.util.Comparator;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 19.06.2017.
 */
public class YOrderLineComparatorEnd implements Comparator<Line> {

    @Override
    public int compare(Line o1, Line o2) {
        return o1.getY2().compareTo(o2.getY2());
    }
}
